org.appng.testsupport.config

## Class RestTestConfig

- java.lang.Object
- - org.appng.api.config.RestConfig
  - - org.appng.testsupport.config.RestTestConfig

- All Implemented Interfaces:
    org.springframework.beans.factory.config.BeanFactoryPostProcessor

      @Configuration
      public class RestTestConfig
      extends RestConfig

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.appng.api.config.RestConfig

      `RestConfig.SiteAwareHandlerMethodArgumentResolver`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestTestConfig()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.springframework.test.web.servlet.MockMvc` | `buildMvc(org.springframework.context.ConfigurableApplicationContext context, Class<?> controllerClass)`
    `static org.springframework.http.converter.HttpMessageConverter<?>[]` | `getMessageConverterArray(org.springframework.context.ApplicationContext context)`

    - ### Methods inherited from class org.appng.api.config.RestConfig

      `addDateModules, byteArrayHttpMessageConverter, getArgumentResolvers, getDateModule, getMessageConverters, getPrimaryOrFirst, postProcessBeanFactory, siteAwareHandlerMethodArgumentResolver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RestTestConfig

          public RestTestConfig()

  - ### Method Detail

    - #### getMessageConverterArray

          public static org.springframework.http.converter.HttpMessageConverter<?>[] getMessageConverterArray(org.springframework.context.ApplicationContext context)

    - #### buildMvc

          public static org.springframework.test.web.servlet.MockMvc buildMvc(org.springframework.context.ConfigurableApplicationContext context,
                                                                              Class<?> controllerClass)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.